import LocalizedStrings from 'react-localization';
import { stopRecursion } from 'localized-strings/lib/StopRecursion';

const strings = new LocalizedStrings({
  en: {
    internationalTileProviders: {
      osm: {
        name: 'Open Street Map',
      },
      otm: {
        name: 'Open Topo Map',
      },
      CyclOSM: {
        name: 'CyclOSM',
        title: 'CyclOSM: OpenStreetMap-based bicycle map',
        description: (
          <>
            <p>
              <a href='https://github.com/cyclosm/cyclosm-cartocss-style/'>
                CyclOSM
              </a>{' '}
              is a bicycle-oriented map built on top of{' '}
              <a href='https://www.openstreetmap.org/'>OpenStreetMap</a> data.
              It aims at providing a beautiful and practical map for cyclists,
              no matter their cycling habits or abilities.
            </p>
            <p>
              In urban areas, it renders the main different types of cycle
              tracks and lanes, on each side of the road, for helping you draw
              your bike to work route. It also features essential POIs as well
              as bicycle parking spots or spots shared with motorbikes, specific
              infrastructure (elevators / ramps), road speeds or surfaces to
              avoid streets with pavings, bumpers and bike boxes, etc.
            </p>
            <p>
              The same map also lets you visualize main bicycle touring routes
              as well as essential POIs when touring (emergency services,
              shelters, tourism, shops).
            </p>
          </>
        ),
      },
    },
    localizedTileProviders: stopRecursion({}),
  },

  fr: {},
});

export default strings;
